Create Intent
curl --request POST \
--url https://v1.orchestrator.rhinestone.dev/intents \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--header 'x-api-version: <x-api-version>' \
--data '
{
"intentId": "<string>",
"signatures": {
"origin": [
"0x...",
"0x..."
],
"destination": "0x...",
"targetExecution": "0x..."
},
"authorizations": {
"sponsor": [
{
"chainId": 8453,
"address": "0x579d5631f76126991c00fb8fe5467fa9d49e5f6a",
"nonce": "0",
"yParity": 27,
"r": "0x...",
"s": "0x..."
}
],
"recipient": [
{
"chainId": 8453,
"address": "0x579d5631f76126991c00fb8fe5467fa9d49e5f6a",
"nonce": "0",
"yParity": 27,
"r": "0x...",
"s": "0x..."
}
]
}
}
'import requests
url = "https://v1.orchestrator.rhinestone.dev/intents"
payload = {
"intentId": "<string>",
"signatures": {
"origin": ["0x...", "0x..."],
"destination": "0x...",
"targetExecution": "0x..."
},
"authorizations": {
"sponsor": [
{
"chainId": 8453,
"address": "0x579d5631f76126991c00fb8fe5467fa9d49e5f6a",
"nonce": "0",
"yParity": 27,
"r": "0x...",
"s": "0x..."
}
],
"recipient": [
{
"chainId": 8453,
"address": "0x579d5631f76126991c00fb8fe5467fa9d49e5f6a",
"nonce": "0",
"yParity": 27,
"r": "0x...",
"s": "0x..."
}
]
}
}
headers = {
"x-api-version": "<x-api-version>",
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-version': '<x-api-version>',
'x-api-key': '<x-api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
intentId: '<string>',
signatures: {origin: ['0x...', '0x...'], destination: '0x...', targetExecution: '0x...'},
authorizations: {
sponsor: [
{
chainId: 8453,
address: '0x579d5631f76126991c00fb8fe5467fa9d49e5f6a',
nonce: '0',
yParity: 27,
r: '0x...',
s: '0x...'
}
],
recipient: [
{
chainId: 8453,
address: '0x579d5631f76126991c00fb8fe5467fa9d49e5f6a',
nonce: '0',
yParity: 27,
r: '0x...',
s: '0x...'
}
]
}
})
};
fetch('https://v1.orchestrator.rhinestone.dev/intents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"intentId": "<string>"
}{
"code": "VALIDATION_ERROR",
"message": "Invalid input",
"details": [
{
"message": "<string>",
"context": {}
}
]
}{
"code": "VALIDATION_ERROR",
"message": "Invalid input",
"details": [
{
"message": "<string>",
"context": {}
}
]
}{
"code": "VALIDATION_ERROR",
"message": "Invalid input",
"details": [
{
"message": "<string>",
"context": {}
}
]
}{
"code": "VALIDATION_ERROR",
"message": "Invalid input",
"details": [
{
"message": "<string>",
"context": {}
}
]
}Intents
Create Intent
Submits a quoted intent for execution. Takes the intentId from POST /quotes (routes[].intentId) plus signatures (origin, destination, optionally target-execution) and optional EIP-7702 authorizations.
POST
/
intents
Create Intent
Headers
API version. Required; pinned to this document.
Available options:
2026-04.blanc API key.
Body
application/json
Response
OK
Pattern:
^\d+$Was this page helpful?
⌘I